#!/usr/bin/env python3
# -*- coding: utf-8 -*-
#
#  config.py
#
#  Copyright 2018 Jonathan Golder <jonathan@golderweb.de>
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
#  MA 02110-1301, USA.
#
#
"""
Loads configuration of EuroExchangeBot
"""

import os

import jogobot


class Config():
    """
    Configuration container for EuroExchangeBot
    """

    base_dir = os.path.expanduser(jogobot.config["euroexchange"]["base_dir"])
    working_dir = os.path.join( base_dir, "working_dir" )
    gnuplot_script_dir = os.path.join(base_dir, "gnuplot_scripts")
    gnuplot = jogobot.config["euroexchange"]["gnuplot_bin"]
    data_source = jogobot.config["euroexchange"]["data_source"]
    zip_file = jogobot.config["euroexchange"]["data_zip_filename"]
    csv_file = jogobot.config["euroexchange"]["data_csv_filename"]
    upload_comment = jogobot.config["euroexchange"]["upload_comment"]
    gnuplot_script_comment = jogobot.config["euroexchange"]["gnuplot_script_comment"]
    gnuplot_script_help = jogobot.config["euroexchange"]["gnuplot_script_help"]
